> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List annotation configurations

> Retrieve a paginated list of all annotation configurations in the system.



## OpenAPI

````yaml get /v1/annotation_configs
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/annotation_configs:
    get:
      tags:
        - annotation_configs
      summary: List annotation configurations
      description: >-
        Retrieve a paginated list of all annotation configurations in the
        system.
      operationId: list_annotation_configs_v1_annotation_configs_get
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (base64-encoded annotation config ID)
            title: Cursor
          description: Cursor for pagination (base64-encoded annotation config ID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Maximum number of configs to return
            default: 100
            title: Limit
          description: Maximum number of configs to return
      responses:
        '200':
          description: A list of annotation configurations with pagination information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAnnotationConfigsResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetAnnotationConfigsResponseBody:
      properties:
        data:
          items:
            oneOf:
              - $ref: '#/components/schemas/CategoricalAnnotationConfig'
              - $ref: '#/components/schemas/ContinuousAnnotationConfig'
              - $ref: '#/components/schemas/FreeformAnnotationConfig'
            discriminator:
              propertyName: type
              mapping:
                CATEGORICAL:
                  $ref: '#/components/schemas/CategoricalAnnotationConfig'
                CONTINUOUS:
                  $ref: '#/components/schemas/ContinuousAnnotationConfig'
                FREEFORM:
                  $ref: '#/components/schemas/FreeformAnnotationConfig'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetAnnotationConfigsResponseBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CategoricalAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: CATEGORICAL
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          $ref: '#/components/schemas/OptimizationDirection'
        values:
          items:
            $ref: '#/components/schemas/CategoricalAnnotationValue'
          type: array
          title: Values
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - optimization_direction
        - values
        - id
      title: CategoricalAnnotationConfig
    ContinuousAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: CONTINUOUS
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          $ref: '#/components/schemas/OptimizationDirection'
        lower_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Lower Bound
        upper_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Upper Bound
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - optimization_direction
        - id
      title: ContinuousAnnotationConfig
    FreeformAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: FREEFORM
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          anyOf:
            - $ref: '#/components/schemas/OptimizationDirection'
            - type: 'null'
        threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Threshold
        lower_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Lower Bound
        upper_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Upper Bound
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - id
      title: FreeformAnnotationConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OptimizationDirection:
      type: string
      enum:
        - MINIMIZE
        - MAXIMIZE
        - NONE
      title: OptimizationDirection
    CategoricalAnnotationValue:
      properties:
        label:
          type: string
          title: Label
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      type: object
      required:
        - label
      title: CategoricalAnnotationValue

````